org.eclipse.rdf4j.query.algebra.evaluation.iterator

## Class ProjectionIterator

- java.lang.Object
- - org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration<T,X>
  - - org.eclipse.rdf4j.common.iteration.ConvertingIteration<BindingSet,BindingSet,QueryEvaluationException>
    - - org.eclipse.rdf4j.query.algebra.evaluation.iterator.ProjectionIterator

- All Implemented Interfaces:
    AutoCloseable, CloseableIteration<BindingSet,QueryEvaluationException>, Iteration<BindingSet,QueryEvaluationException>

      public class ProjectionIterator
      extends ConvertingIteration<BindingSet,BindingSet,QueryEvaluationException>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProjectionIterator(Projection projection, CloseableIteration<BindingSet,QueryEvaluationException> iter, BindingSet parentBindings)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected BindingSet` | `convert(BindingSet sourceBindings)` Converts a source type object to a target type object.
    `static BindingSet` | `project(ProjectionElemList projElemList, BindingSet sourceBindings, BindingSet parentBindings)`
    `static BindingSet` | `project(ProjectionElemList projElemList, BindingSet sourceBindings, BindingSet parentBindings, boolean includeAllParentBindings)`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.ConvertingIteration

      `handleClose, hasNext, next, remove`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration

      `close, isClosed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProjectionIterator

          public ProjectionIterator(Projection projection,
                                    CloseableIteration<BindingSet,QueryEvaluationException> iter,
                                    BindingSet parentBindings)
                             throws QueryEvaluationException

      Throws:
        `QueryEvaluationException`

  - ### Method Detail

    - #### convert

          protected BindingSet convert(BindingSet sourceBindings)
                                throws QueryEvaluationException

      Description copied from class: `ConvertingIteration`
      Converts a source type object to a target type object.
      Specified by:
        `convert` in class `ConvertingIteration<BindingSet,BindingSet,QueryEvaluationException>`
      Throws:
        `QueryEvaluationException`

    - #### project

          public static BindingSet project(ProjectionElemList projElemList,
                                           BindingSet sourceBindings,
                                           BindingSet parentBindings)

    - #### project

          public static BindingSet project(ProjectionElemList projElemList,
                                           BindingSet sourceBindings,
                                           BindingSet parentBindings,
                                           boolean includeAllParentBindings)

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.